| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Num::ScalarFunctionParametric Class Reference

Base class for parameterized scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Parameters are represented and stored as vector. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one. More...

Inheritance diagram for IG::Num::ScalarFunctionParametric:
[legend]
Collaboration diagram for IG::Num::ScalarFunctionParametric:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionParametric (IVector parameters)
| Constructor. Does not define affine transformation of the function.
| ScalarFunctionParametric (IVector parameters, IAffineTransformation transformation)
| Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.
## Properties
override IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of scalar functions.
## Private Member Functions
| ScalarFunctionParametric ()
| Default constructor is inaccessible because it has no meaning.
## Private Attributes
IVector | _parameters

## Detailed Description

Base class for parameterized scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Parameters are represented and stored as vector. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one.

This base class does not implement data containing parameters. This enables to derive base classes with different representations of parameters, e.g. with only one number for one parametric functions. $A Igor Dec10;

## Constructor & Destructor Documentation

IG::Num::ScalarFunctionParametric::ScalarFunctionParametric | ( |  | ) | `[inline, private]`

Default constructor is inaccessible because it has no meaning.

IG::Num::ScalarFunctionParametric::ScalarFunctionParametric | ( | IVector | parameters | ) | `[inline]`

Constructor. Does not define affine transformation of the function.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.

IG::Num::ScalarFunctionParametric::ScalarFunctionParametric | ( | IVector | parameters,
|  | IAffineTransformation | transformation
| ) |  | `[inline]`

Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

## Member Data Documentation

IVector IG::Num::ScalarFunctionParametric::_parameters`[private]`

## Property Documentation

override IVector IG::Num::ScalarFunctionParametric::Parameters`[get, set]`

Parameters that define the specific function out of parametric familiy of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

The documentation for this class was generated from the following file:

- FunctionScalarParametric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events